#include "/settings/color/skyColorSettings.glsl"

#ifdef SKY_VANILLA
    vec3 skyCol=pow(skyColor, vec3(2.2)) * pow2(SKY_I);
    vec3 fogCol=pow(fogColor, vec3(2.2)) * pow2(SKY_I);
#else
    vec3 sky_ColorSqrt=vec3(SKY_R, SKY_G,  SKY_B) * SKY_I / 255.0;
    vec3 skyCol       =pow2(sky_ColorSqrt);
    vec3 fogCol       =pow2(sky_ColorSqrt);
#endif
